<section class="partial">
    <section>
        <h2>&#x1F528; Installation &#x1F528;</h2>
    </section>

    <section>
        <h2 class="small">&#x1F381; Gestionnaire de paquets &#x1F381;</h2>
        <ul>
            <li class="fragment">
                NPM : l'historique<br>
                <img src="../img/npm.png" style="height: 10vh;" />
            </li>
            <li class="fragment">
                Yarn : <img src="../img/facebook.png" class="icon" /><br>
                <img src="../img/yarn.png" style="height: 30vh;" />
            </li>
        </ul>
        <aside class="notes">
            NPM : de base avec node, aucun souci à l'utilisation.<br>
            Yarn : une fonctionnalié majeure => la perf avec téléchargement en parallèle et un cache local pour copier dans node_modules plus rapidement et du offline, le yarn.lock c'est du bullshit car shrinkwrap fonctionne très bien déjà (il n'est juste pas activé par défaut).
        </aside>
    </section>

    <section>
        <h2>&#x2705; Lanceur de tâches &#x2705;</h2>
        <ul>
            <li class="fragment">Gulp</li>
            <li class="fragment">Grunt</li>
            <li class="fragment">
                NPM scripts <img src="../img/bulb.png" class="icon bulb" /><br>
                (orchestrable avec npm-run-all)
            </li>
        </ul>
        <aside class="notes">
            Toujours Gulp en force avec les streams (perf) et une config légère.<br>
            Grunt de plus en plus hazbine (fichier de config verbeux).<br>
            Toutefois, attention au retour aux sources avec de simples scripts NPM !
        </aside>
    </section>

    <section>
        <h2>&#x1F4E6; Outil de packaging &#x1F4E6;</h2>
        <ul>
            <li class="fragment">(Différent du lanceur de tâches)</li>
            <li class="fragment">
                Webpack
                <img src="../img/react.svg" class="icon">
                <img src="../img/angular.png" class="icon">
            </li>
            <li class="fragment">Browserify</li>
            <li class="fragment">
                Brunch
                <img src="../img/bulb.png" class="icon bulb" />
            </li>
        </ul>
        <aside class="notes">
            Différents des lanceurs de tâches : construire l'application finale
            et fournir des utilitaires d'aide au développement (watch, live reload...).<br>
            Webpack en force (React maintenant Angular mais aussi Vue).<br>
            Brunch avec un incremental qui fonctionne => 100 à 200 live reload jour pour un dev front à 10 sec
        </aside>
    </section>
</section>
